> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powertokens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Vidu 文生视频 viduq3-turbo

> 使用 Vidu 模型将文本提示词转换为视频。提交任务后，请通过 `GET /vidu/ent/v2/tasks/{task_id}/creations` 查询状态。 使用模型 viduq3-turbo。



## OpenAPI

````yaml api-reference/zh-Hans/zmodelVideo/vidu/viduq3-turbo-text-to-video.json POST /vidu/ent/v2/text2video
openapi: 3.0.1
info:
  title: Vidu 文生视频 (viduq3-turbo)
  version: 1.0.0
servers:
  - url: https://api.powertokens.ai
security: []
paths:
  /vidu/ent/v2/text2video:
    post:
      summary: Vidu 文生视频 (viduq3-turbo)
      description: >-
        使用 Vidu 模型将文本提示词转换为视频。提交任务后，请通过 `GET
        /vidu/ent/v2/tasks/{task_id}/creations` 查询状态。 使用模型 viduq3-turbo。
      operationId: viduTextToVideoViduq3Turbo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TextToVideoRequest'
            examples:
              basic_example:
                summary: 基础文生视频示例
                value:
                  model: viduq3-pro
                  prompt: >-
                    In an ultra-realistic fashion photography style featuring
                    light blue and pale amber tones, an astronaut in a spacesuit
                    walks through the fog. The background consists of enchanting
                    white and golden lights, creating a minimalist still life
                    and an impressive panoramic scene.
                  duration: 5
                  seed: 0
                  aspect_ratio: '4:3'
                  resolution: 540p
                  off_peak: false
      responses:
        '200':
          description: 提交成功，返回视频任务对象。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TextToVideoResponse'
              examples:
                success:
                  summary: 提交成功
                  value:
                    task_id: your_task_id_here
                    state: created
                    model: viduq3-pro
                    prompt: >-
                      In an ultra-realistic fashion photography style featuring
                      light blue and pale amber tones, an astronaut in a
                      spacesuit walks through the fog. The background consists
                      of enchanting white and golden lights, creating a
                      minimalist still life and an impressive panoramic scene.
                    duration: 5
                    seed: random_number
                    aspect_ratio: '4:3'
                    resolution: 540p
                    payload: ''
                    off_peak: false
                    credits: credits_number
                    created_at: '2025-01-01T15:41:31.968916Z'
        '400':
          description: 请求参数不合法。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                invalid_request:
                  summary: 参数错误
                  value:
                    code: bad_request_body
                    message: 请求体格式错误或字段取值非法
                    data: null
        '401':
          description: 鉴权失败。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  summary: 未授权
                  value:
                    code: access_denied
                    message: 无效的令牌
                    data: null
        '429':
          description: 触发速率限制或账户额度不足。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                quota_exceeded:
                  summary: 额度不足
                  value:
                    code: insufficient_user_quota
                    message: 当前账户额度不足，请稍后重试
                    data: null
        '500':
          description: 服务器内部错误。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                server_error:
                  summary: 服务器错误
                  value:
                    code: internal_server_error
                    message: 服务器内部错误，请稍后重试
                    data: null
      security:
        - BearerAuth: []
components:
  schemas:
    TextToVideoRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          enum:
            - viduq3-turbo
          description: |-
            模型名称
            可选值：viduq3-turbo
            - viduq3-turbo：对比viduq3-pro，生成速度更快
            - viduq3-pro：高效生成优质音视频内容，让视频内容更生动、更形象、更立体，效果更好
        prompt:
          type: string
          maxLength: 5000
          description: |-
            文本提示词
            生成视频的文本描述。
            注：字符长度不能超过 5000 个字符
        duration:
          type: integer
          description: |-
            视频时长参数，默认值依据模型而定：
            - viduq3-pro、viduq3-turbo: 默认5秒，可选：1-16
          minimum: 1
          maximum: 16
          default: 5
        seed:
          type: integer
          description: |-
            随机种子
            当默认不传或者传0时，会使用随机数替代
            手动设置则使用设置的种子
        aspect_ratio:
          type: string
          enum:
            - '16:9'
            - '9:16'
            - '3:4'
            - '4:3'
            - '1:1'
          description: |-
            比例
            默认 16:9，可选值：16:9、9:16、3:4、4:3、1:1
            注：3:4、4:3仅支持q2、q3系列模型
          default: '16:9'
        resolution:
          type: string
          enum:
            - 540p
            - 720p
            - 1080p
          description: |-
            分辨率参数，默认值依据模型和视频时长而定：
            - viduq3-pro、viduq3-turbo(1-16秒)：默认 720p，可选：540p、720p、1080p
        audio:
          type: boolean
          description: |-
            是否使用音视频直出能力，默认为true，枚举值为：
            - false：不需要音视频直出，输出静音视频
            - true：需要音画同步，输出声音的视频（包括台词和音效）
            注1：仅q3系列模型支持该参数
          default: true
        payload:
          type: string
          maxLength: 1048576
          description: |-
            透传参数
            不做任何处理，仅数据传输
            注：最多 1048576个字符
        off_peak:
          type: boolean
          description: |-
            错峰模式，默认为：false，可选值：
            - true：错峰生成视频；
            - false：即时生成视频；

            注1：错峰模式消耗的积分更低，具体请查看产品定价

            注2：错峰模式下提交的任务，会在48小时内生成，未能完成的任务会被自动取消，并返还该任务的积分；

            注3：您也可以手动取消错峰任务
          default: false
        watermark:
          type: boolean
          description: |-
            是否添加水印
            - true：添加水印；
            - false：不添加水印；

            注1：目前水印内容为固定，内容由AI生成，默认不加

            注2：您可以通过watermarked_url参数查询获取带水印的视频内容，详情见查询任务接口
          default: false
        wm_position:
          type: integer
          description: |-
            水印位置，表示水印出现在图片的位置，可选项为：
            1：左上角
            2：右上角
            3：右下角
            4：左下角
            默认为：3
          default: 3
          enum:
            - 1
            - 2
            - 3
            - 4
          minimum: 1
          maximum: 4
          x-options:
            - label: 左上角
              value: 1
            - label: 右上角
              value: 2
            - label: 右下角
              value: 3
            - label: 左下角
              value: 4
        wm_url:
          type: string
          description: |-
            水印内容，此处为图片URL
            不传时，使用默认水印：内容由AI生成
        meta_data:
          type: string
          description: |-
            元数据标识，json格式字符串，透传字段，您可以 自定义格式 或使用 示例格式 ，示例如下：
            {
            "Label": "your_label",
            "ContentProducer": "your_content_producer",
            "ContentPropagator": "your_content_propagator",
            "ProduceID": "your_product_id",
            "PropagateID": "your_propagate_id",
            "ReservedCode1": "your_reserved_code1",
            "ReservedCode2": "your_reserved_code2"
            }
            该参数为空时，默认使用vidu生成的元数据标识
        callback_url:
          type: string
          description: >-
            Callback 协议

            需要您在创建任务时主动设置 callback_url，请求方法为 POST，当视频生成任务有状态变化时，Vidu
            将向此地址发送包含任务最新状态的回调请求。回调请求内容结构与查询任务API的返回体一致

            回调返回的"status"包括以下状态：

            - processing 任务处理中

            - success 任务完成（如发送失败，回调三次）

            - failed 任务失败（如发送失败，回调三次）

            Vidu采用回调签名算法进行认证，详情见：回调签名算法
    TextToVideoResponse:
      type: object
      properties:
        task_id:
          type: string
          description: 任务 ID。
        state:
          type: string
          enum:
            - created
            - queueing
            - processing
            - success
            - failed
          description: |-
            处理状态
            可选值：
            created 创建成功
            queueing 任务排队中
            processing 任务处理中
            success 任务成功
            failed 任务失败
        model:
          type: string
          description: 本次调用的模型名称
        prompt:
          type: string
          description: 本次调用的提示词参数
        duration:
          type: integer
          description: 本次调用的视频时长参数
        seed:
          type: integer
          description: 本次调用的随机种子参数
        aspect_ratio:
          type: string
          description: 本次调用的 比例 参数
        resolution:
          type: string
          description: 本次调用的分辨率参数
        payload:
          type: string
          description: 本次调用时传入的透传参数
        credits:
          type: integer
          description: 本次调用使用的积分数
        off_peak:
          type: boolean
          description: 本次调用时是否使用错峰模式
        watermark:
          type: boolean
          description: 本次提交任务是否使用水印
        created_at:
          type: string
          format: date-time
          description: 任务创建时间
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          description: 错误代码。
        message:
          type: string
          description: 错误描述信息。
        data:
          type: object
          nullable: true
          description: 附加的错误数据（可选）。
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: '在请求头中传入 `Authorization: Bearer <token>`。'

````